Before you start developing ColdFusion portlets, you must:

  • Install JDK 1.5.x.
  • For JSR-168, install bundled version of JBoss 2.6.7 or 2.6.8 portal server and JBoss 4.2.3 Application server. For JSR-286, install bundled version of JBoss 2.7.2 portal server and JBoss 4.2.3 Application server.
  • Deploy ColdFusion on JBoss application server.
  • Enable the J2EE sessions in ColdFusion Administrator.

The JBoss Server does not always add Expires directive in the set cookie header. To fix this, you need to add the following JVM argument:

-Dorg.apache.tomcat.util.http.ServerCookie.ALWAYS_ADD_EXPIRES=true

 

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Twitter™ and Facebook posts are not covered under the terms of Creative Commons.

Legal Notices   |   Online Privacy Policy